[Macbook Pro retina 2014]. Broadcom 4360 problem

Hi,
Looking on internet I have found different guides about how to enable the wireless chip. I added Packman repo and I installed Broadcom-wl and desktop, but nothing to do, it doesn’t work.
anyone can help me?

Please post in Code-Tags:

/sbin/lspci -nnk | grep -iA3 net

Hi
Is the kernel-firmware package installed? If so install rfkill and check the output as something may be blocked and also more specifics on the device.


rfkill list
/sbin/lspci -nnk | grep -A3 Network

**[FONT=monospace]03:00.0 Net**work controller [0280]: Broadcom Corporation BCM4360 802.11ac Wireless **Net**work Adapter [14e4:43a0] (rev 03) 
        Subsystem: Apple Inc. Device [106b:0112] 
        Kernel driver in use: bcma-pci-bridge 
        Kernel modules: bcma 
--
0a:00.0 Ether**net** controller [0200]: Broadcom Corporation **Net**Xtreme BCM57762 Gigabit Ether**net** PCIe [14e4:1682] 
        Subsystem: Apple Inc. Device [106b:00f6] 
        Kernel driver in use: tg3 
        Kernel modules: tg3

[/FONT]

yes the kernel-firmware is installed

 **linux-k4af:~ #** rfkill list 
0: hci0: Bluetooth                                                                                                                                                                                     
        Soft blocked: no                                                                                                                                                                               
        Hard blocked: no                                                                                                                                                                               
**linux-k4af:~ #** /sbin/lspci -nnk | grep -A3 Network 
03:00.0 **Network** controller [0280]: Broadcom Corporation BCM4360 802.11ac Wireless **Network** Adapter [14e4:43a0] (rev 03) 
        Subsystem: Apple Inc. Device [106b:0112]                                                                                                                                                       
        Kernel driver in use: bcma-pci-bridge                                                                                                                                                          
        Kernel modules: bcma                


Please post:

zypper se -si broadcom kernel
uname -a
lsb-release -d
 **linux-k4af:~ #** zypper se -si broadcom kernel 
Retrieving repository 'kernel' metadata ................................................................................................................................................................[error] 
Repository 'kernel' is invalid.
[kernel|http://download.opensuse.org/repositories/kernel:/stable/standard/] Valid metadata not found at specified URL                                                                                          
Please check if the URIs defined for this repository are pointing to a valid repository. 
Skipping repository 'kernel' because of the above error. 
Retrieving repository 'kernels' metadata ...............................................................................................................................................................[error] 
Repository 'kernels' is invalid.
[kernels|http://download.opensuse.org/repositories/kernel:/stable/standard/kernel] Valid metadata not found at specified URL                                                                                   
Please check if the URIs defined for this repository are pointing to a valid repository. 
Skipping repository 'kernels' because of the above error. 
Loading repository data... 
Reading installed packages... 

S | Name                    | Type    | Version                     | Arch   | Repository        
--+-------------------------+---------+-----------------------------+--------+------------------ 
i | broadcom-wl             | package | 6.30.223.248-5.3            | x86_64 | Packman           
i | broadcom-wl-kmp-desktop | package | 6.30.223.248_k3.16.7_24-5.3 | x86_64 | Packman           
i | kernel-default          | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-default          | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-default-devel    | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-default-devel    | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-desktop          | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-desktop          | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-desktop-devel    | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-desktop-devel    | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-devel            | package | 4.1.2-5.1                   | noarch | openSUSE-Leap-Oss 
i | kernel-devel            | package | 4.1.2-5.1                   | noarch | openSUSE-42.1-0   
i | kernel-firmware         | package | 20140807git-3.4             | noarch | openSUSE-Leap-Oss 
i | kernel-firmware         | package | 20140807git-3.4             | noarch | openSUSE-42.1-0   
i | kernel-macros           | package | 4.1.2-5.1                   | noarch | openSUSE-Leap-Oss 
i | kernel-macros           | package | 4.1.2-5.1                   | noarch | openSUSE-42.1-0   
i | kernel-pv-devel         | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-pv-devel         | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-source           | package | 4.1.2-5.1                   | noarch | openSUSE-Leap-Oss 
i | kernel-source           | package | 4.1.2-5.1                   | noarch | openSUSE-42.1-0   
i | kernel-syms             | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-syms             | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-xen              | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-xen              | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
i | kernel-xen-devel        | package | 4.1.2-5.1                   | x86_64 | openSUSE-Leap-Oss 
i | kernel-xen-devel        | package | 4.1.2-5.1                   | x86_64 | openSUSE-42.1-0   
**linux-k4af:~ #** uname -a                      
Linux linux-k4af.site 4.1.2-5-default #1 SMP Tue Jul 14 13:20:23 UTC 2015 (5ccacb4) x86_64 x86_64 x86_64 GNU/Linux 
**linux-k4af:~ #** lsb-release -d                
Description:    openSUSE Leap 42.1 Milestone 1 (Malachite) (x86_64)


i | broadcom-wl-kmp-desktop | package | 6.30.223.248_k3.16.7_24-5.3 | x86_64 | Packman

This is build against the kernel 3.16 provided originally in the OSS- and Update-Repo.

You have installed:

Linux linux-k4af.site 4.1.2-5-default #1 SMP Tue Jul 14 13:20:23 UTC 2015 (5ccacb4) x86_64 x86_64 x86_64 GNU/Linux 

From openSUSE Leap42.

That can not work.

Deinstall Brodcom-wl and broacom-wl-kmp-desktop and restart your Computer.

Done. Really thanks but it still doesn’t work. Can you help me anymore?

Post as root:

ifconfig -a
iwconfig
route -n
ping -c5 8.8.8.8
ping -c5 google.com

And read the 4 Posts at the beginning:
https://forums.opensuse.org/forumdisplay.php/676-Wireless

 **linux-k4af:~ #** iwconfig -a 
-a        No such device 

**linux-k4af:~ #** iwconfig            
eth0      no wireless extensions. 

lo        no wireless extensions. 

**linux-k4af:~ #** route -n            
Kernel IP routing table 
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface 
0.0.0.0         192.168.1.1     0.0.0.0         UG    100    0        0 eth0 
192.168.1.0     0.0.0.0         255.255.255.0   U     0      0        0 eth0 
192.168.1.0     0.0.0.0         255.255.255.0   U     100    0        0 eth0 
**linux-k4af:~ #** ping -c5 8.8.8.8    
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data. 
64 bytes from 8.8.8.8: icmp_seq=1 ttl=54 time=49.1 ms 
64 bytes from 8.8.8.8: icmp_seq=2 ttl=54 time=43.0 ms 
64 bytes from 8.8.8.8: icmp_seq=3 ttl=54 time=22.5 ms 
64 bytes from 8.8.8.8: icmp_seq=4 ttl=54 time=53.2 ms 
64 bytes from 8.8.8.8: icmp_seq=5 ttl=54 time=64.9 ms 

--- 8.8.8.8 ping statistics --- 
5 packets transmitted, 5 received, 0% packet loss, time 4005ms 
rtt min/avg/max/mdev = 22.580/46.578/64.950/13.977 ms 
**linux-k4af:~ #** ping -c5 google.com 
PING google.com (216.58.212.110) 56(84) bytes of data. 
64 bytes from mil01s25-in-f110.1e100.net (216.58.212.110): icmp_seq=1 ttl=53 time=28.2 ms 
64 bytes from mil01s25-in-f14.1e100.net (216.58.212.110): icmp_seq=2 ttl=53 time=28.6 ms 
64 bytes from mil01s25-in-f14.1e100.net (216.58.212.110): icmp_seq=3 ttl=53 time=33.9 ms 
64 bytes from mil01s25-in-f14.1e100.net (216.58.212.110): icmp_seq=4 ttl=53 time=23.3 ms 
64 bytes from 216.58.212.110: icmp_seq=5 ttl=53 time=26.8 ms 

--- google.com ping statistics --- 
5 packets transmitted, 5 received, 0% packet loss, time 25851ms 
rtt min/avg/max/mdev = 23.359/28.216/33.927/3.415 ms



(now I’m connected with a Ethernet / Thunderbolt adapter(

PS:
From the kernel (dmesg), i found:

     3.516614] b43-phy0: Broadcom 4360 WLAN found (core revision 42) 
    3.517034] b43-phy0 ERROR: FOUND UNSUPPORTED PHY (Analog 12, Type 11 (AC), Revision 1) 
    3.517040] b43: probe of bcma0:1 failed with error -95


Hi
Why not ask on either IRC or the packman Mailing list to enable the Leap 42 build…
https://pmbs.links2linux.de/package/show/Essentials/broadcom-wl

http://packman.links2linux.org/help

Else grab the src rpm and rebuild locally and install…

Sorry but I can’t install the main rpm that comes out from “rpmbuild --rebuild broadcom…src.rpm”

Details: nothing provides kernel-uname-r = 3.16.7-24-desktop needed by broadcom-wl-kmp-desktop-6.30.223.248_k3.16.7_24-5.3.x86_64

Sorry but I’m a newbie

**** Just done with YaST., but wifi doesn’t work again